/* $Id: srw-util.h,v 1.3 2003/02/18 16:31:27 adam Exp $
   Copyright (C) 2002
   Index Data Aps

This file is part of the SRW tools.

See the file COPYING.
*/

#include "soapH.h"
#include <yaz/cql.h>
struct cql_node *xcql_to_cqlnode(struct xcql__operandType *p);

typedef struct xslt_maps_info *xslt_maps;
typedef struct xslt_map_result_info *xslt_map_result;

xslt_maps xslt_maps_create(void);
int xslt_maps_file(xslt_maps m, const char *f);
void xslt_maps_free(xslt_maps m);

xslt_map_result xslt_map (xslt_maps m, const char *schema_source,
                          const char *scheme_target,
                          const char *in_buf, int in_len);
void xslt_map_free (xslt_map_result res);

char *xslt_map_result_buf(xslt_map_result res);
int xslt_map_result_len(xslt_map_result res);
char *xslt_map_result_schema(xslt_map_result res);
